> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update chunk status and content



## OpenAPI

````yaml api-reference/openapi-1.json put /api/v1/dataStore/{org_id}/dataSource/{dataSource_id}/id/{id}/updateEmbeddingContentData
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/dataStore/{org_id}/dataSource/{dataSource_id}/id/{id}/updateEmbeddingContentData:
    put:
      tags:
        - DataStore
      summary: Update chunk status and content
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: number
        - name: dataSource_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              required:
                - addToCourpusStatus
                - content
              type: object
              properties:
                addToCourpusStatus:
                  type: boolean
                content:
                  type: string
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````